aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThiago de Arruda <tpadilha84@gmail.com>2014-02-02 03:36:01 -0800
committerThiago de Arruda <tpadilha84@gmail.com>2014-02-02 03:36:01 -0800
commit930f26d1ed796c580526e71a7fd866744ad8c5fb (patch)
tree19bc80b7c449e1d71d964bd027a55616b0761c86
parent8253e29971c54310434ee93d987a99994769d717 (diff)
parent63b571dfba53d1dc526e841d7ce99205cabff465 (diff)
downloadrneovim-930f26d1ed796c580526e71a7fd866744ad8c5fb.tar.gz
rneovim-930f26d1ed796c580526e71a7fd866744ad8c5fb.tar.bz2
rneovim-930f26d1ed796c580526e71a7fd866744ad8c5fb.zip
Merge pull request #2 from ashleyh/master
Remove uneeded 'rt' library
-rw-r--r--scripts/get-libuv.sh2
-rw-r--r--src/CMakeLists.txt2
2 files changed, 2 insertions, 2 deletions
diff --git a/scripts/get-libuv.sh b/scripts/get-libuv.sh
index e7001ef3a0..9f3eceb218 100644
--- a/scripts/get-libuv.sh
+++ b/scripts/get-libuv.sh
@@ -13,4 +13,4 @@ sh autogen.sh
./configure --prefix="$prefix"
make
make install
-rm "$prefix/lib/"libuv*.so "$prefix/lib/"libuv*.so.*
+rm "$prefix/lib/"libuv*.{so,dylib} "$prefix/lib/"libuv*.{so,dylib}.* || true
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 49c0ef42cb..1c7829e7d6 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -14,7 +14,7 @@ file( GLOB IO_SOURCES io/*.c )
add_executable (vim ${NEOVIM_SOURCES} ${IO_SOURCES})
-target_link_libraries (vim m uv rt pthread)
+target_link_libraries (vim m uv pthread)
include(CheckLibraryExists)
check_library_exists(termcap tgetent "" HAVE_LIBTERMCAP)